import { createSSRApp } from "vue";
import * as Pinia from "pinia";
import tmui from "./tmui";
import App from "./App.vue";

import customTitle from "./components/custom-title/index.vue";
export function createApp() {
  const app = createSSRApp(App);

  app.component("customTitle", customTitle);
  app.use(tmui, { shareDisable: false } as Tmui.tmuiConfig);
  return {
    app,
    Pinia,
  };
}
